| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Public Attributes | Protected Member Functions | List of all members
Digikam::DatabaseServer Class Reference
Inheritance diagram for Digikam::DatabaseServer:

## Public Types
enum | DatabaseServerStateEnum { started , running , notRunning , stopped }

## Signals
void | done ()

## Public Member Functions
| DatabaseServer (const DbEngineParameters &params, DatabaseServerStarter *const parent=DatabaseServerStarter::instance())
bool | isRunning () const
| Returns true if the server process is running.
| Q_ENUM (DatabaseServerStateEnum)
DatabaseServerError | startDatabaseProcess ()
| Starts the database management server.
void | stopDatabaseProcess ()
| Terminates the databaser server process.

## Public Attributes
DatabaseServerStateEnum | databaseServerStateEnum

## Protected Member Functions
void | run () override